#include "graphic_class.h"

#ifndef __GRSF__
#define __GRSF__

// Menu functions

void startup(void);

void string_test(int);

void graphopen(int);
void graphsave(int);
void reflesh(int);
void nodeinsert(int);
void nodedelete(int);
void lastarize(int);
void crossedit(int);
void run(int);
void end(int);

// Sub routines
void draw_circuit(void);
void draw_circuit(MyNode*);
void draw_lines(MyNode*);
void draw_lines(MyNode*, MyNode*);
void draw_points(MyNode*, MyNode*);

void draw_shadow(void);

MyNode* get_nearist(point);
MyNode* get_nearist(point, MyNode*);
Cross_point* get_nearist(point, Cross_point*);

void get_arcs(void);
void get_crosses(void);

void sleep(int);

void simplex_run(void);
void simplex(int);

void dc(int);

void remove_ac(void);
void remove_lines(void);

void triangulation(int);
void get_pillar(int);
void get_tetrahedral(int);
void get_d3_all(int);

void get_simple_image(int);

void make_knot(void);

void common_menuend(void);

#endif
